<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:background="@mipmap/bg_new_main">

    <EditText
        android:id="@+id/ip_et"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="192.168.1.253"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintLeft_toLeftOf="parent"/>

    <EditText
        android:id="@+id/port_et"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="1030"
        app:layout_constraintTop_toBottomOf="@id/ip_et"
        app:layout_constraintLeft_toLeftOf="parent"/>

    <EditText
        android:id="@+id/serial_name_et"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="/dev/ttyACM0"
        app:layout_constraintTop_toBottomOf="@id/port_et"
        app:layout_constraintLeft_toLeftOf="parent"/>

    <EditText
        android:id="@+id/serial_rate_et"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="19200"
        app:layout_constraintTop_toBottomOf="@id/serial_name_et"
        app:layout_constraintLeft_toLeftOf="parent"/>

    <Button
        android:id="@+id/sure"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:text="确定"
        app:layout_constraintTop_toBottomOf="@id/serial_rate_et"
        android:layout_marginTop="20dp"
        app:layout_constraintLeft_toLeftOf="parent"/>


    <TextView
        android:id="@+id/serial_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="20dp"
        app:layout_constraintBottom_toBottomOf="parent"/>
</androidx.constraintlayout.widget.ConstraintLayout>